VERSION 1.0 CLASS
BEGIN
  MultiUse = -1  'True
  Persistable = 0  'NotPersistable
  DataBindingBehavior = 0  'vbNone
  DataSourceBehavior  = 0  'vbNone
  MTSTransactionMode  = 0  'NotAnMTSObject
END
Attribute VB_Name = "Class1"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = True
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = False
Private Type RegisterMnemons
    Const CTA = "CTA"       'A Counter A
    Const CTB = "CTB"       'B Counter B"
    Const RTE = "RTE"       'C Rate"
    Const SFA = "SFA"       'D Scale Factor A"
    Const SFB = "SFB"       'E Scale Factor B"
    Const SP1 = "SP1"       'F Setpoint 1"
    Const SP2 = "SP2"       'G Setpoint 2"
    Const CLD = "CLD"       'H Counter A Count Load Value"
End Type

Private Type ReceiveMnemons
    Const INP = "INP"       'Input
    Const MAX = "MAX"       'Max
    Const MIN = "MIN"       'Min
    Const TMR = "TMR"       'Timer
    Const CNT = "CNT"       'Cycle Counter
    Const TST = "TST"       'Timer Start
    Const TSP = "TSP"       'Timer Stop
    Const CTS = "CTS"       'Counter Start
    Const SPT = "SPT"       'Setpoint On
    Const SOF = "SOF"       'Setpoint Off
    Const STO = "STO"       'Setpoint Time Out
End Type

Private Type RLMnemons
    RegisterMnemonics As RegisterMnemons
    ReceiverMnemonics As ReceiveMnemons
End Type
Public RLMnemonics As RLMnemons

Private Type rlcom
    Const Node = "N"            'Node
    Const ReadData = "T"        'Transmit Value (Read)
    Const WriteData = "V"       'Value Change (Write)
    Const Reset = "R"           'Reset
    Const BlockRead = "P"       'Block Print Request (Read)
End Type
Private Type rlreg
    Const InputRegister = "A"
    Const MaxRegister = "B"
    Const MinRegister = "C"
    Const SetPoint1Register = "D"
    Const SetPoint2Register = "E"
End Type
Private Type rlrega
    Const InputRegister = "A"
    Const MaxRegister = "B"
    Const MinRegister = "C"
    Const ScaleFactorA = "D"
    Const ScaleFactorB = "E"
    Const SetPoint1Register = "F"
    Const SetPoint2Register = "G"
    Const CounterALoadValue = "H"
End Type

Private Type rlmettype
    Name As String
    Command As rlcom
    Register As rlreg
    RegisterAlt As rlrega
    


    
    
End Type


Private Type rlmets
    Cub5 As String      'Counter/Rate Indicator
    Cub5I As String     'DC Current Meter
    Cub5P As String     'Process Meter
    Cub5RT As String    'RTD Meter
    Cub5T As stringg    'Preset Timer and Cycle Counter
    Cub5TC As String    'Thermocouple Meter
    Cub5V As String     'DC Voltmeter
End Type

RedLionMeter(99) As rlmets

