VERSION 5.00
Object = "{5006E56D-FEDE-4C64-9CC2-78C320929406}#1.0#0"; "TeeChart2012.ocx"
Begin VB.Form Form3 
   Caption         =   "Form3"
   ClientHeight    =   10440
   ClientLeft      =   60
   ClientTop       =   450
   ClientWidth     =   14700
   LinkTopic       =   "Form3"
   ScaleHeight     =   10440
   ScaleWidth      =   14700
   StartUpPosition =   3  'Windows Default
   Begin VB.ListBox List1 
      Height          =   1035
      Left            =   240
      TabIndex        =   1
      Top             =   9120
      Width           =   1215
   End
   Begin TeeChart.TChart TChart1 
      Height          =   8775
      Left            =   240
      TabIndex        =   0
      Top             =   240
      Width           =   14175
      Base64          =   $"Form3.frx":0000
   End
End
Attribute VB_Name = "Form3"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False

Private Sub Form_Load()
Dim aa As Integer
Dim bb As String
Dim ret

On Error Resume Next

Me.Show

    Me.Height = 11385
    Me.Width = 15180
    
    Shape1.FillColor = vbYellow

    Me.Caption = "WinFrac Graphing"
    
    ToolTotal = 3
    
    TChart1.Aspect.View3D = False
    
    List1.AddItem "Red"
    List1.AddItem "Blue"
    List1.AddItem "Black"
    List1.AddItem "Green"
    
    
    Call InitTChart
    Call InitTraces

    With TChart1
        .Series(0).Clear
        For aa = 1 To 20
            .Series(0).Add Rnd * 10, "", clTeeColor
        Next aa

    End With
  
End Sub
Sub InitTraces()
Dim aa As Integer
Dim bb As String

    For aa = 0 To 7
        With TChart1.Series(aa)
            Select Case UCase(Data2Plot(aa).AxisLocation)
                Case "LEFT"
                    bb = Str$(GraphLeftAxis)
                Case "RIGHT"
                    bb = Str$(GraphRightAxis)
            End Select
            bb = " - " & bb
            .Title = Data2Plot(aa).Title
            .Color = Data2Plot(aa).TraceColor
            .VerticalAxis = GetVerticalAxisLocation(aa, Data2Plot(aa).AxisLocation)
        End With
    Next aa
    
End Sub
Function GetVerticalAxisLocation(Index As Integer, axis As String) As Double

    Select Case Data2Plot(Index).AxisLocation
        Case "Left"
            GetVerticalAxisLocation = aLeftAxis
        Case "Right"
            GetVerticalAxisLocation = aRightAxis
    End Select
    
End Function
Sub DoGrfResize()
Dim dd As String
Dim ee As Integer
Dim ff As Integer

On Error Resume Next

    For ee = 0 To TChart1.Tools.Count - 1
        Select Case TChart1.Tools.Items(ee).ToolType
            Case 25         'Rectangle
                Select Case Len(TChart1.Tools.Items(ee).asRectangle.Text)
                    Case Is > 0
                        dd = TChart1.Tools.Items(ee).asRectangle.Text
                        ff = getRectIndex(dd)
                        grfRectSelected = ff
                        Call CalcLine2RectEnds(ee)
                        Call AttachEnd(ee)
                    Case Else
                End Select
            Case Else
        End Select
    Next ee

    Call DragTool

End Sub
Function getRectIndex(RectangleText As String) As Integer
Dim aa As String
Dim bb As Integer
Dim cc As String
Dim dd As Integer
Dim ee As Integer

    aa = RectangleText
    bb = InStr(1, aa, "]", vbTextCompare) - 2
    cc = Mid$(aa, 2, bb)
    dd = Val(cc)
    ee = (dd * 3) - 1
    getRectIndex = ee

End Function
Sub DragTool()
Dim aa As Integer
Dim bb As Integer
Dim cc As String
Dim dd As Integer
Dim ee As String
Dim ff As Integer

On Error Resume Next

    aa = grfRectSelected
    For bb = 0 To TChart1.Tools.Count - 1
        Select Case TChart1.Tools.Items(bb).ToolType
            Case 25         'Rectangle
                cc = TChart1.Tools.Items(bb).asRectangle.Text
                Exit For
            Case Else
        End Select
    Next bb
                

   
    Call CalcLine2RectEnds(aa)
    Call AttachEnd(aa)
    
End Sub
Sub CalcLine2RectEnds(ToolIndex As Integer)
Dim aa As Double

    Select Case TChart1.Tools.Count
        Case Is > 0
            aa = ToolIndex '+ 1
            Select Case TChart1.Tools.Items(aa).ToolType
                Case 25
                    With TChart1.Tools.Items(aa).asRectangle.Bounds
                        grfXEnd = TChart1.axis.Bottom.CalcPosPoint(.Left + (.Right - .Left) / 2)
                        grfYEnd = TChart1.axis.Left.CalcPosPoint(.Bottom)
                    End With
                Case Else
            End Select
        Case Else
    End Select
    
End Sub
Sub AttachEnd(ToolIndex As Integer)
Dim aa As Integer
Dim bb As Integer
Dim cc As Integer
Dim dd As Integer
Dim ee As String
Dim ff As Integer
Dim gg As String
Dim jj(5) As String

    Select Case grfEventCount
        Case Is > 0
            aa = grfEventCount
            bb = grfRectSelected
            dd = (bb + 1) / 3
            ee = TChart1.Tools.Items(bb).asRectangle.Text
            ff = InStr(1, ee, ",", vbTextCompare) - 1
            Select Case ff
                Case Is > 0
                    gg = Left$(ee, ff)
                    Select Case TChart1.Tools.Count
                        Case Is > 0
                            With TChart1.Tools.Items(bb - 1)
                                .asDrawLine.Lines.Items(0).EndPos.X = grfXEnd
                                .asDrawLine.Lines.Items(0).EndPos.Y = grfYEnd
                            End With
                            With TChart1.Tools.Items(bb).asRectangle
                                jj(0) = ", " & TChart1.Tools.Items(bb).asRectangle.Bounds.Left & ", "
                                jj(1) = TChart1.Tools.Items(bb).asRectangle.Bounds.Top & ", "
                                jj(2) = TChart1.Tools.Items(bb).asRectangle.Bounds.Right & ", "
                                jj(3) = TChart1.Tools.Items(bb).asRectangle.Bounds.Bottom
                                .Text = gg & ","
                            End With
                        Case Else
                    End Select
                Case Else
            End Select
        Case Else
    End Select
    
End Sub

Private Sub List1_Click()
Dim aa As Integer

    Select Case List1.Text
        Case "Red"
            aa = 1
        Case "Blue"
            aa = 2
        Case "Black"
            aa = 3
        Case "Green"
            aa = 4
    End Select
    
    ColorSelected = aa
    
End Sub

Private Sub TChart1_OnMouseUp(ByVal Button As TeeChart.EMouseButton, ByVal Shift As TeeChart.EShiftState, ByVal X As Long, ByVal Y As Long)
Dim aa As Integer

On Error Resume Next

    aa = CInt(Shift)
    Call DoTChartMouseUp(aa, X, Y, 0)

End Sub
Sub InitTChart()
Dim aa As Integer
Dim bb As Integer
Dim dd As Boolean
Dim ee As Boolean
Dim ff As Integer
Dim gg As Integer
Dim hh As String
Dim ii As String
Dim jj As String

    ff = 10         'Linear Divisor
    gg = 4          'Logarithmic Divisor
            
    With TChart1
        With .axis
            .Bottom.AutomaticMaximum = False
            .Bottom.Minimum = 0
            
            .Bottom.MinorTickCount = 4
            .Bottom.Maximum = JobInfo.ExpectedJobLength
            .Bottom.Increment = JobInfo.ExpectedJobLength / 12
            For aa = 0 To 7
                TChart1.Series(aa).XValues.DateTime = False
            Next aa

            .Bottom.Logarithmic = False
            
            TChart1.Repaint

            .Left.Maximum = GraphLeftAxis
            .Left.Minimum = 0
            .Left.AutomaticMaximum = False
            .Left.Logarithmic = False
            
            .Left.Increment = GraphLeftAxis / ff
            
            .Right.Maximum = GraphRightAxis
            .Right.Minimum = 0
            .Right.AutomaticMaximum = False
            .Right.Logarithmic = dd
            
            .Right.Increment = GraphRightAxis / ff

        End With

        .TimerInterval = 1000
        
    End With
    
    TChart1.Panel.Color = GraphView.BackColor
    
    Call DoGrfResize
    
End Sub
Sub SetXYStarts(X As Long, Y As Long)

    grfXStart = TChart1.axis.Bottom.CalcPosPoint(X)
    grfYStart = TChart1.axis.Left.CalcPosPoint(Y)

End Sub

Sub DoTChartMouseUp(Shift As Integer, X As Long, Y As Long, EventSelectMode As Integer)
Dim aa As Double
Dim bb As String
Dim cc As String
Dim ff As Integer
Dim gg As String
Dim hh As Long
Dim ii As Double
Dim jj(5) As String
Dim kk As String

Dim annot As Integer
Dim dline As Integer
Dim drect As Integer
Dim valueIndex As Integer

    valueIndex = TChart1.Series(0).Clicked(X, Y)
    annot = TChart1.Tools.Add(tcAnnotate)
    dline = TChart1.Tools.Add(tcDrawLine)
    drect = TChart1.Tools.Add(tcRectangle)
    
    TChart1.Tools(annot).Active = False
    'TChart1.Tools(dline).active = True
    TChart1.Tools(drect).Active = True

    TChart1.Tools.Items(drect).asRectangle.AllowResize = False
    'TChart1.Tools.Items(dline).asDrawLine.Pen.Color = vbred
         
    Call SetXYStarts(X, Y)
            
    GraphMouseX = grfXStart
    GraphMouseY = grfYStart

    bb = Format$(GraphMouseX, "0.00")
    cc = Format$(GraphMouseY, "0.00")
    gg = "Water Started"
    
    With TChart1.Tools.Items(drect).asRectangle
        .Left = X - (.Bounds.Right - .Bounds.Left) / 2
        .Top = Y - 50
        
        Select Case ColorSelected
            Case 0
                .Shape.Pen.Color = vbWhite
            Case 1
                .Shape.Pen.Color = vbRed
            Case 2
                .Shape.Pen.Color = vbBlue
            Case 3
                .Shape.Pen.Color = vbBlack
            Case 4
                .Shape.Pen.Color = vbGreen
        End Select
        
        .Shape.Transparency = 0
        .AutoSize = True
    End With
    
    TChart1.Tools.Items(drect).asRectangle.Text = gg & ","
    
    Call CalcLine2RectEnds(dline + 1)

    With TChart1.Tools.Items(dline).asDrawLine
        .EnableDraw = False
        .EnableSelect = False
        .AddLine grfXStart, grfYStart, grfXEnd, grfYEnd
        
        Select Case ColorSelected
            Case 0
                .Pen.Color = vbWhite
            Case 1
                .Pen.Color = vbRed
            Case 2
                .Pen.Color = vbBlue
            Case 3
                .Pen.Color = vbBlack
            Case 4
                .Pen.Color = vbGreen
        End Select
        
    End With
    
    TChart1.Tools(dline).Active = True

    
    Screen.MousePointer = vbDefault
    
End Sub
Private Sub TChart1_OnRectangleToolClick(ByVal Button As TeeChart.EMouseButton, ByVal Shift As TeeChart.EShiftState, ByVal X As Long, ByVal Y As Long)
Dim RectToolIndex As Double
Dim aa As Long
Dim bb As Long
Dim cc As Double
Dim dd As String
Dim ee As Integer
Dim ff As Integer

On Error Resume Next

'Figures out which rectangle was clicked

    For ee = 0 To TChart1.Tools.Count - 1
        Select Case TChart1.Tools.Items(ee).ToolType And TChart1.Tools.Items(ee).asRectangle.Clicked(X, Y)
            Case 25         'Rectangle
                Select Case Len(TChart1.Tools.Items(ee).asRectangle.Text)
                    Case Is > 0
                        dd = TChart1.Tools.Items(ee).asRectangle.Text
                        ff = getRectIndex(dd)
                        grfRectSelected = ff
                        Exit For
                    Case Else
                End Select
            Case Else
        End Select
    Next ee
    
End Sub

Private Sub TChart1_OnTimer()
Dim aa As Integer
Dim bb As Double
Dim cc As Double

On Error Resume Next

    bb = 120 * 60
    
    For aa = 0 To 7
        With TChart1.Series(aa)
            Chart_X = .Count * (TChart1.axis.Bottom.Maximum / bb)
            Chart_Y(aa) = Rnd(5)
            .AddXY Chart_X, Chart_Y(aa), "", vbBlack
        End With
    Next aa
End Sub


