VERSION 5.00
Object = "{5006E56D-FEDE-4C64-9CC2-78C320929406}#1.0#0"; "TeeChart2012.ocx"
Begin VB.Form Form5 
   Caption         =   "Form5"
   ClientHeight    =   7815
   ClientLeft      =   60
   ClientTop       =   450
   ClientWidth     =   11430
   LinkTopic       =   "Form5"
   ScaleHeight     =   7815
   ScaleWidth      =   11430
   StartUpPosition =   3  'Windows Default
   Begin TeeChart.TeeCommander TeeCommander1 
      Height          =   495
      Left            =   2640
      OleObjectBlob   =   "Form5.frx":0000
      TabIndex        =   1
      Top             =   7200
      Width           =   6015
   End
   Begin TeeChart.TChart TChart1 
      Height          =   6615
      Left            =   720
      TabIndex        =   0
      Top             =   480
      Width           =   10215
      Base64          =   $"Form5.frx":004E
   End
End
Attribute VB_Name = "Form5"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Private Sub Form_Load()
  TeeCommander1.ChartLink = TChart1.ChartLink
  'TChart1.Header.Text.Text = TChart1.Version
  Dim XValue, YValue As Double
  Dim XPos, YPos, tmpHeight As Integer
  Dim rect, dline As Long
  
  TChart1.Aspect.View3D = False
  
  TChart1.AddSeries scPoint
  TChart1.Series(0).FillSampleValues 10
  
  TChart1.Environment.InternalRepaint
  
  Dim i As Integer
  For i = 0 To TChart1.Series(0).Count - 1
    XPos = TChart1.Series(0).CalcXPos(i)
    YPos = TChart1.Series(0).CalcYPos(i)
    XValue = TChart1.Series(0).XValues.Value(i)
    YValue = TChart1.Series(0).YValues.Value(i)
  
    rect = TChart1.Tools.Add(tcRectangle)
    dline = TChart1.Tools.Add(tcDrawLine)
    With TChart1.Tools.Items(rect).asRectangle
      .Text = "Point " + Str$(i) & " This is a really big test!"
      .AutoSize = True
      tmpHeight = .Bounds.Bottom - .Bounds.Top
      .Left = XPos - (TChart1.Canvas.TextWidth(.Text) / 2)
      .Top = YPos - 10 - tmpHeight
    End With
    With TChart1.Tools.Items(dline).asDrawLine
      .EnableDraw = False
      .EnableSelect = False
      .AddLine XValue, YValue, XValue, TChart1.Axis.Left.CalcPosPoint(YPos - 10)
    End With
  Next i
End Sub

Private Sub TChart1_OnRectangleToolClick(ByVal Button As TeeChart.EMouseButton, ByVal Shift As TeeChart.EShiftState, ByVal X As Long, ByVal Y As Long)
  Dim i As Integer
  Dim clickedRect As Long
  
  clickedRect = -1
  For i = 0 To TChart1.Tools.Count - 1
    If TChart1.Tools.Items(i).ToolType = tcRectangle And TChart1.Tools.Items(i).asRectangle.Clicked(X, Y) Then
      clickedRect = i
      Exit For
    End If
  Next i
  
  If clickedRect > -1 Then
    MsgBox "Rectangle clicked. Tool index: " + Str$(clickedRect)
  End If
End Sub
