VERSION 5.00
Object = "{5006E56D-FEDE-4C64-9CC2-78C320929406}#1.0#0"; "TeeChart2012.ocx"
Begin VB.Form Form6 
   Caption         =   "Form6"
   ClientHeight    =   8895
   ClientLeft      =   60
   ClientTop       =   450
   ClientWidth     =   12960
   LinkTopic       =   "Form6"
   ScaleHeight     =   8895
   ScaleWidth      =   12960
   StartUpPosition =   3  'Windows Default
   Begin TeeChart.TChart TChart1 
      Height          =   6975
      Left            =   1200
      TabIndex        =   0
      Top             =   720
      Width           =   10335
      Base64          =   $"Form6.frx":0000
   End
   Begin VB.Label Label2 
      BorderStyle     =   1  'Fixed Single
      Caption         =   "Rectangle Index:"
      BeginProperty Font 
         Name            =   "MS Sans Serif"
         Size            =   8.25
         Charset         =   0
         Weight          =   700
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   375
      Left            =   8760
      TabIndex        =   2
      Top             =   7920
      Width           =   1575
   End
   Begin VB.Label Label1 
      BorderStyle     =   1  'Fixed Single
      Caption         =   "Label1"
      BeginProperty Font 
         Name            =   "MS Sans Serif"
         Size            =   8.25
         Charset         =   0
         Weight          =   700
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   375
      Left            =   10320
      TabIndex        =   1
      Top             =   7920
      Width           =   1215
   End
End
Attribute VB_Name = "Form6"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False

Private Sub Form_Load()

    Label1.Caption = ""
    
End Sub

Private Sub TChart1_OnMouseUp(ByVal Button As TeeChart.EMouseButton, ByVal Shift As TeeChart.EShiftState, ByVal X As Long, ByVal Y As Long)
Dim aa As Integer

    aa = CInt(Shift)
    Call DoTChartMouseUp(aa, X, Y, 0)
    
End Sub


Private Sub TChart1_OnRectangleToolClick(ByVal Button As TeeChart.EMouseButton, ByVal Shift As TeeChart.EShiftState, ByVal X As Long, ByVal Y As Long)
Dim aa As Long
Dim bb As Long
Dim cc As Double
Dim dd As String
Dim ee As Integer

'Figure out which rectangle was clicked


    For ee = 0 To TChart1.Tools.Count - 1
        Select Case TChart1.Tools.Items(ee).ToolType And TChart1.Tools.Items(ee).asRectangle.Clicked(X, Y)
            Case 25         'Rectangle
                Select Case Len(TChart1.Tools.Items(ee).asRectangle.Text)
                    Case Is > 0
                        dd = TChart1.Tools.Items(ee).asRectangle.Text
                        ee = getRectIndex(dd)
                        grfRectSelected = ee
                        Label1.Caption = Str(ee)
                        Exit For
                    Case Else
                End Select
            Case Else
        End Select
    Next ee
    
End Sub


Function getRectIndex(RectangleText As String) As Integer
Dim aa As String
Dim bb As Integer
Dim cc As String
Dim dd As Integer
Dim ee As Integer

    aa = RectangleText
    bb = InStr(1, aa, "]", vbTextCompare) - 2
    cc = Mid$(aa, 2, bb)
    dd = Val(cc)
    ee = (dd * 3) - 1
    getRectIndex = ee

End Function

Sub DoTChartMouseUp(Shift As Integer, X As Long, Y As Long, EventSelectMode As Integer)
Dim aa As Double
Dim bb As String
Dim cc As String
Dim ff As Integer
Dim gg As String
Dim hh As Long
Dim ii As Double
Dim jj(5) As String
Dim kk As String

Dim annot As Integer
Dim dline As Integer
Dim drect As Integer

    Select Case Shift
        Case Is = ssShift
            annot = TChart1.Tools.Add(tcAnnotate)
            dline = TChart1.Tools.Add(tcDrawLine)
            drect = TChart1.Tools.Add(tcRectangle)
            TChart1.Tools(annot).Active = False
            TChart1.Tools(dline).Active = False
            TChart1.Tools(drect).Active = True
            
            TChart1.Tools.Items(drect).asRectangle.AllowResize = False
            
            grfAnnotSelected = annot
            
            With TChart1.Tools.Items(drect).asRectangle
                .Text = "[" & Trim$(Str$(grfEventCount + 1)) & "] "
                gg = .Text
                
                .Left = X - (.Bounds.Right - .Bounds.Left) / 2
                .Top = Y - 50
                .Shape.Pen.Color = 16711808 'vbRed
                .Shape.Transparency = 0
                .AutoSize = True
            End With
            
            With TChart1.Tools.Items(drect).asRectangle
                jj(0) = ", " & TChart1.Tools.Items(drect).asRectangle.Bounds.Left & ", "
                jj(1) = TChart1.Tools.Items(drect).asRectangle.Bounds.Top & ", "
                jj(2) = TChart1.Tools.Items(drect).asRectangle.Bounds.Right & ", "
                jj(3) = TChart1.Tools.Items(drect).asRectangle.Bounds.Bottom
                .Text = gg & "Test Retangle " & jj(0) & jj(1) & jj(2) & jj(3)
                
            End With
            
            grfEventCount = grfEventCount + 1
    End Select
    
End Sub
Sub CalcLine2RectEnds(ToolIndex As Integer)
Dim aa As Double

    Select Case TChart1.Tools.Count
        Case Is > 0
            aa = ToolIndex '- 1
            Select Case TChart1.Tools.Items(aa).ToolType
                Case 25
                    With TChart1.Tools.Items(aa).asRectangle.Bounds
                        grfXEnd = TChart1.Axis.Bottom.CalcPosPoint(.Left + (.Right - .Left) / 2)
                        grfYEnd = TChart1.Axis.Left.CalcPosPoint(.Bottom)
                    End With
                Case Else
            End Select
        Case Else
    End Select
    
End Sub

Sub SetXYStarts(X As Long, Y As Long)
Dim aa As Double

    aa = grfAnnotSelected
    Select Case aa
        Case Is < 0
        Case Else
            grfXStart = TChart1.Axis.Bottom.CalcPosPoint(X)
            grfYStart = TChart1.Axis.Left.CalcPosPoint(Y)
    End Select
        
End Sub

Private Sub TChart1_OnRectangleToolDragging()
Dim aa As Integer
Dim bb As Integer
Dim cc As String
Dim dd As Integer
Dim ee As String
Dim ff As Integer

    aa = grfRectSelected
    bb = bb
    For bb = 0 To TChart1.Tools.Count - 1
        Select Case TChart1.Tools.Items(bb).ToolType
            Case 25         'Rectangle
                cc = TChart1.Tools.Items(bb).asRectangle.Text
                Exit For
            Case Else
        End Select
    Next bb
                
    'Call CalcLine2RectEnds(aa)
    
End Sub


Sub AttachEnd(ToolIndex As Integer)
Dim aa As Integer
Dim bb As Integer
Dim cc As Integer
Dim gg As String
Dim jj(5) As String

    Select Case grfEventCount
        Case Is > 0
            aa = grfEventCount
            bb = grfRectSelected
            Select Case TChart1.Tools.Count
                Case Is > 0
                    TChart1.Tools.Items(bb - 1).asDrawLine.Lines.Items(0).EndPos.X = grfXEnd
                    TChart1.Tools.Items(bb - 1).asDrawLine.Lines.Items(0).EndPos.Y = grfYEnd
                    
                    gg = "[" & Trim$(Str$(grfEventCount)) & "] "
                    With TChart1.Tools.Items(bb).asRectangle
                        jj(0) = ", " & TChart1.Tools.Items(bb).asRectangle.Bounds.Left & ", "
                        jj(1) = TChart1.Tools.Items(bb).asRectangle.Bounds.Top & ", "
                        jj(2) = TChart1.Tools.Items(bb).asRectangle.Bounds.Right & ", "
                        jj(3) = TChart1.Tools.Items(bb).asRectangle.Bounds.Bottom
                        .Text = gg & "Test Retangle " & jj(0) & jj(1) & jj(2) & jj(3)
                    End With
                Case Else
            End Select
        Case Else
    End Select
                
End Sub

